Skip to main content
POST
/
v2
/
agent
/
{projectId}
/
job
/
{id}
/
message
curl --request POST \
  --url https://api.mintlify.com/v2/agent/{projectId}/job/{id}/message \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Fix all broken links in the getting-started section."
}
'
{
  "id": "<string>",
  "source": {
    "repository": "<string>",
    "ref": "<string>"
  },
  "model": "<string>",
  "prLink": "https://github.com/org/repo/pull/123",
  "createdAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

The Authorization header expects a Bearer token. Use an admin API key (prefixed with mint_). This is a server-side secret key. Generate one on the API keys page in your dashboard.

Path Parameters

projectId
string
required

Your project ID. Can be copied from the API keys page in your dashboard.

id
string
required

The unique identifier of the agent job to send a message to.

Body

application/json
prompt
string
required

The follow-up instruction for the agent.

Minimum string length: 1

Response

Message sent successfully

id
string

Unique identifier for the agent job.

status
enum<string>

Current status of the job. active β€” the agent is currently processing the prompt. completed β€” the agent finished successfully and a PR may have been created (check prLink). archived β€” the job has been archived. failed β€” the agent encountered an unrecoverable error. Poll until status is completed, archived, or failed.

Available options:
active,
completed,
archived,
failed
source
object

Source repository information.

model
string

The AI model used for this job.

GitHub pull request URL created by the agent. null while the job is still active or if no files were changed. Populated once the agent successfully creates a PR.

Example:

"https://github.com/org/repo/pull/123"

createdAt
string<date-time>

Timestamp when the job was created.

archivedAt
string<date-time> | null

Timestamp when the job was archived.